            /* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
            /* vim: set shiftwidth=2 tabstop=2 autoindent cindent expandtab: */

            //
            // See README for overview
            //

            'use strict';
            PDFJS.cMapUrl = 'https://unpkg.com/pdfjs-dist@1.9.426/cmaps/';
            PDFJS.cMapPacked = true;

            var BASE64_MARKER = ';base64,';

            function convertDataURIToBinary(dataURI) {
              var base64Index = dataURI.indexOf(BASE64_MARKER) + BASE64_MARKER.length;
              var base64 = dataURI.substring(base64Index);
              var raw = window.atob(base64);
              var rawLength = raw.length;
              var array = new Uint8Array(new ArrayBuffer(rawLength));

              for(var i = 0; i < rawLength; i++) {
                array[i] = raw.charCodeAt(i);
              }
              return array;
            }

var pdfDoc;
function loadPDF(pdfAsDataUri) {
  var pdfAsArray = convertDataURIToBinary(pdfAsDataUri);
  PDFJS.getDocument(pdfAsArray).then(function(pdf) {
    pdfDoc = pdf;
    console.error(pdfDoc)
    for(var i = 1; i <= pdfDoc.numPages; i++) {
     pdfDoc.getPage(i).then(function(page) {
              var scale = 3;
              var viewport = page.getViewport(scale);
              var canvas = createPage();
              var context = canvas.getContext('2d');
              canvas.height = viewport.height;
              canvas.width = viewport.width;
              var renderContext = {
                canvasContext: context,
                viewport: viewport
              };
              page.render(renderContext);
            })
    }
  })
}
function createPage() {
    var div = document.createElement("canvas");
    document.body.appendChild(div);
    return div;
}
